Mono.Simd 2.0.0.0 System.ValueType System.CLSCompliant(false) A vector with two unsigned longs. This represents a vector that contains two unsigned long integers (64-bit) values.
- Constructor
  2.0.0.0
  X component.
  Y component.
  Creates a vector with two unsigned long integers (64-bit) values.
- Property
  2.0.0.0
  System.UInt64 `` The index of the component. Gets/Sets the component's value.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Compares the elements of two vectors for equality. A new vector with the comparison results. Equal components get the UInt64.MaxValue, unequal components get the zero value.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2ul `` Vector to operate on. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2ul `` Vector to operate on. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Computes the sum of two vectors. A new vector. The vector returned is the sum of the individual components in the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Computes the bitwise xor of two vectors. A new vector. The vector returned contains the result of doing a bitwise xor operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16b `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16sb `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2d `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2l `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4i `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4ui `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8s `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8us `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Number of bits to shift. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Number of bits to shift. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Unpacks the high components of the input vectors into a new vector. A new vector that contains (v1.Y, v2.Y).
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector2ul `` `` First vector. Second vector. Unpacks the low components of the input vectors into a new vector. A new vector that contains (v1.X, v1.X).
- Property
  2.0.0.0
  System.UInt64 The X component.
- Property
  2.0.0.0
  System.UInt64 The Y component.